﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace Visitor_Manage_.SendMailTmpCust {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="Send_Mail_Tmpcust_Binding", Namespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust")]
    public partial class Send_Mail_Tmpcust : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback SendEmailOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetLastCutomerOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetLastCutomerFeedbackNoOperationCompleted;
        
        private System.Threading.SendOrPostCallback SetForm35BooleanOperationCompleted;
        
        private System.Threading.SendOrPostCallback CreateQRCodeInputFromnetOperationCompleted;
        
        private System.Threading.SendOrPostCallback EmailFromCustomerFeedbackOperationCompleted;
        
        private System.Threading.SendOrPostCallback EmailFromCustomerComplaintOperationCompleted;
        
        private System.Threading.SendOrPostCallback CountBudgetoryQuoteOperationCompleted;
        
        private System.Threading.SendOrPostCallback CountRunningWorkorderOperationCompleted;
        
        private System.Threading.SendOrPostCallback CheckWorkOrderOperationCompleted;
        
        private System.Threading.SendOrPostCallback CheckWorkOrderCPOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateTmpCustomerOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateTmpCustomer2OperationCompleted;
        
        private System.Threading.SendOrPostCallback GetVisitorNoOperationCompleted;
        
        private System.Threading.SendOrPostCallback SetPictureOperationCompleted;
        
        private System.Threading.SendOrPostCallback OutVisitorOperationCompleted;
        
        private System.Threading.SendOrPostCallback SetQRCodeOperationCompleted;
        
        private System.Threading.SendOrPostCallback INVisitorOperationCompleted;
        
        private System.Threading.SendOrPostCallback CheckEntryNoOperationCompleted;
        
        private System.Threading.SendOrPostCallback ModifyLogEntryOperationCompleted;
        
        private System.Threading.SendOrPostCallback ReportPDFOperationCompleted;
        
        private System.Threading.SendOrPostCallback VisitorSetTypeOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public Send_Mail_Tmpcust() {
            this.Url = global::Visitor_Manage_.Properties.Settings.Default.Visitor_Manage__SendMailTmpCust_SendMailTmpCust;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event SendEmailCompletedEventHandler SendEmailCompleted;
        
        /// <remarks/>
        public event GetLastCutomerCompletedEventHandler GetLastCutomerCompleted;
        
        /// <remarks/>
        public event GetLastCutomerFeedbackNoCompletedEventHandler GetLastCutomerFeedbackNoCompleted;
        
        /// <remarks/>
        public event SetForm35BooleanCompletedEventHandler SetForm35BooleanCompleted;
        
        /// <remarks/>
        public event CreateQRCodeInputFromnetCompletedEventHandler CreateQRCodeInputFromnetCompleted;
        
        /// <remarks/>
        public event EmailFromCustomerFeedbackCompletedEventHandler EmailFromCustomerFeedbackCompleted;
        
        /// <remarks/>
        public event EmailFromCustomerComplaintCompletedEventHandler EmailFromCustomerComplaintCompleted;
        
        /// <remarks/>
        public event CountBudgetoryQuoteCompletedEventHandler CountBudgetoryQuoteCompleted;
        
        /// <remarks/>
        public event CountRunningWorkorderCompletedEventHandler CountRunningWorkorderCompleted;
        
        /// <remarks/>
        public event CheckWorkOrderCompletedEventHandler CheckWorkOrderCompleted;
        
        /// <remarks/>
        public event CheckWorkOrderCPCompletedEventHandler CheckWorkOrderCPCompleted;
        
        /// <remarks/>
        public event UpdateTmpCustomerCompletedEventHandler UpdateTmpCustomerCompleted;
        
        /// <remarks/>
        public event UpdateTmpCustomer2CompletedEventHandler UpdateTmpCustomer2Completed;
        
        /// <remarks/>
        public event GetVisitorNoCompletedEventHandler GetVisitorNoCompleted;
        
        /// <remarks/>
        public event SetPictureCompletedEventHandler SetPictureCompleted;
        
        /// <remarks/>
        public event OutVisitorCompletedEventHandler OutVisitorCompleted;
        
        /// <remarks/>
        public event SetQRCodeCompletedEventHandler SetQRCodeCompleted;
        
        /// <remarks/>
        public event INVisitorCompletedEventHandler INVisitorCompleted;
        
        /// <remarks/>
        public event CheckEntryNoCompletedEventHandler CheckEntryNoCompleted;
        
        /// <remarks/>
        public event ModifyLogEntryCompletedEventHandler ModifyLogEntryCompleted;
        
        /// <remarks/>
        public event ReportPDFCompletedEventHandler ReportPDFCompleted;
        
        /// <remarks/>
        public event VisitorSetTypeCompletedEventHandler VisitorSetTypeCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:SendEmail", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="SendEmail_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void SendEmail() {
            this.Invoke("SendEmail", new object[0]);
        }
        
        /// <remarks/>
        public void SendEmailAsync() {
            this.SendEmailAsync(null);
        }
        
        /// <remarks/>
        public void SendEmailAsync(object userState) {
            if ((this.SendEmailOperationCompleted == null)) {
                this.SendEmailOperationCompleted = new System.Threading.SendOrPostCallback(this.OnSendEmailOperationCompleted);
            }
            this.InvokeAsync("SendEmail", new object[0], this.SendEmailOperationCompleted, userState);
        }
        
        private void OnSendEmailOperationCompleted(object arg) {
            if ((this.SendEmailCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.SendEmailCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:GetLastCutomer", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="GetLastCutomer_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public string GetLastCutomer() {
            object[] results = this.Invoke("GetLastCutomer", new object[0]);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void GetLastCutomerAsync() {
            this.GetLastCutomerAsync(null);
        }
        
        /// <remarks/>
        public void GetLastCutomerAsync(object userState) {
            if ((this.GetLastCutomerOperationCompleted == null)) {
                this.GetLastCutomerOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetLastCutomerOperationCompleted);
            }
            this.InvokeAsync("GetLastCutomer", new object[0], this.GetLastCutomerOperationCompleted, userState);
        }
        
        private void OnGetLastCutomerOperationCompleted(object arg) {
            if ((this.GetLastCutomerCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetLastCutomerCompleted(this, new GetLastCutomerCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:GetLastCutomerFeedbackN" +
            "o", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="GetLastCutomerFeedbackNo_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public string GetLastCutomerFeedbackNo() {
            object[] results = this.Invoke("GetLastCutomerFeedbackNo", new object[0]);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void GetLastCutomerFeedbackNoAsync() {
            this.GetLastCutomerFeedbackNoAsync(null);
        }
        
        /// <remarks/>
        public void GetLastCutomerFeedbackNoAsync(object userState) {
            if ((this.GetLastCutomerFeedbackNoOperationCompleted == null)) {
                this.GetLastCutomerFeedbackNoOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetLastCutomerFeedbackNoOperationCompleted);
            }
            this.InvokeAsync("GetLastCutomerFeedbackNo", new object[0], this.GetLastCutomerFeedbackNoOperationCompleted, userState);
        }
        
        private void OnGetLastCutomerFeedbackNoOperationCompleted(object arg) {
            if ((this.GetLastCutomerFeedbackNoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetLastCutomerFeedbackNoCompleted(this, new GetLastCutomerFeedbackNoCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:SetForm35Boolean", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="SetForm35Boolean_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void SetForm35Boolean(bool customerRequest, bool sampleDescription, bool testSpecification, bool testConducted, bool bISCertificationRequire, bool witnessRequire, bool onereportoforallreport, bool separateRequire, bool whetherSample, bool isStatement, bool tolarance, bool mesure, bool decisionComp) {
            this.Invoke("SetForm35Boolean", new object[] {
                        customerRequest,
                        sampleDescription,
                        testSpecification,
                        testConducted,
                        bISCertificationRequire,
                        witnessRequire,
                        onereportoforallreport,
                        separateRequire,
                        whetherSample,
                        isStatement,
                        tolarance,
                        mesure,
                        decisionComp});
        }
        
        /// <remarks/>
        public void SetForm35BooleanAsync(bool customerRequest, bool sampleDescription, bool testSpecification, bool testConducted, bool bISCertificationRequire, bool witnessRequire, bool onereportoforallreport, bool separateRequire, bool whetherSample, bool isStatement, bool tolarance, bool mesure, bool decisionComp) {
            this.SetForm35BooleanAsync(customerRequest, sampleDescription, testSpecification, testConducted, bISCertificationRequire, witnessRequire, onereportoforallreport, separateRequire, whetherSample, isStatement, tolarance, mesure, decisionComp, null);
        }
        
        /// <remarks/>
        public void SetForm35BooleanAsync(bool customerRequest, bool sampleDescription, bool testSpecification, bool testConducted, bool bISCertificationRequire, bool witnessRequire, bool onereportoforallreport, bool separateRequire, bool whetherSample, bool isStatement, bool tolarance, bool mesure, bool decisionComp, object userState) {
            if ((this.SetForm35BooleanOperationCompleted == null)) {
                this.SetForm35BooleanOperationCompleted = new System.Threading.SendOrPostCallback(this.OnSetForm35BooleanOperationCompleted);
            }
            this.InvokeAsync("SetForm35Boolean", new object[] {
                        customerRequest,
                        sampleDescription,
                        testSpecification,
                        testConducted,
                        bISCertificationRequire,
                        witnessRequire,
                        onereportoforallreport,
                        separateRequire,
                        whetherSample,
                        isStatement,
                        tolarance,
                        mesure,
                        decisionComp}, this.SetForm35BooleanOperationCompleted, userState);
        }
        
        private void OnSetForm35BooleanOperationCompleted(object arg) {
            if ((this.SetForm35BooleanCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.SetForm35BooleanCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:CreateQRCodeInputFromne" +
            "t", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="CreateQRCodeInputFromnet_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public string CreateQRCodeInputFromnet(string visitorCode, string visitorType) {
            object[] results = this.Invoke("CreateQRCodeInputFromnet", new object[] {
                        visitorCode,
                        visitorType});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void CreateQRCodeInputFromnetAsync(string visitorCode, string visitorType) {
            this.CreateQRCodeInputFromnetAsync(visitorCode, visitorType, null);
        }
        
        /// <remarks/>
        public void CreateQRCodeInputFromnetAsync(string visitorCode, string visitorType, object userState) {
            if ((this.CreateQRCodeInputFromnetOperationCompleted == null)) {
                this.CreateQRCodeInputFromnetOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCreateQRCodeInputFromnetOperationCompleted);
            }
            this.InvokeAsync("CreateQRCodeInputFromnet", new object[] {
                        visitorCode,
                        visitorType}, this.CreateQRCodeInputFromnetOperationCompleted, userState);
        }
        
        private void OnCreateQRCodeInputFromnetOperationCompleted(object arg) {
            if ((this.CreateQRCodeInputFromnetCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CreateQRCodeInputFromnetCompleted(this, new CreateQRCodeInputFromnetCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:EmailFromCustomerFeedba" +
            "ck", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="EmailFromCustomerFeedback_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void EmailFromCustomerFeedback() {
            this.Invoke("EmailFromCustomerFeedback", new object[0]);
        }
        
        /// <remarks/>
        public void EmailFromCustomerFeedbackAsync() {
            this.EmailFromCustomerFeedbackAsync(null);
        }
        
        /// <remarks/>
        public void EmailFromCustomerFeedbackAsync(object userState) {
            if ((this.EmailFromCustomerFeedbackOperationCompleted == null)) {
                this.EmailFromCustomerFeedbackOperationCompleted = new System.Threading.SendOrPostCallback(this.OnEmailFromCustomerFeedbackOperationCompleted);
            }
            this.InvokeAsync("EmailFromCustomerFeedback", new object[0], this.EmailFromCustomerFeedbackOperationCompleted, userState);
        }
        
        private void OnEmailFromCustomerFeedbackOperationCompleted(object arg) {
            if ((this.EmailFromCustomerFeedbackCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.EmailFromCustomerFeedbackCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:EmailFromCustomerCompla" +
            "int", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="EmailFromCustomerComplaint_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void EmailFromCustomerComplaint() {
            this.Invoke("EmailFromCustomerComplaint", new object[0]);
        }
        
        /// <remarks/>
        public void EmailFromCustomerComplaintAsync() {
            this.EmailFromCustomerComplaintAsync(null);
        }
        
        /// <remarks/>
        public void EmailFromCustomerComplaintAsync(object userState) {
            if ((this.EmailFromCustomerComplaintOperationCompleted == null)) {
                this.EmailFromCustomerComplaintOperationCompleted = new System.Threading.SendOrPostCallback(this.OnEmailFromCustomerComplaintOperationCompleted);
            }
            this.InvokeAsync("EmailFromCustomerComplaint", new object[0], this.EmailFromCustomerComplaintOperationCompleted, userState);
        }
        
        private void OnEmailFromCustomerComplaintOperationCompleted(object arg) {
            if ((this.EmailFromCustomerComplaintCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.EmailFromCustomerComplaintCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:CountBudgetoryQuote", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="CountBudgetoryQuote_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public int CountBudgetoryQuote(string contactNo, string datetext) {
            object[] results = this.Invoke("CountBudgetoryQuote", new object[] {
                        contactNo,
                        datetext});
            return ((int)(results[0]));
        }
        
        /// <remarks/>
        public void CountBudgetoryQuoteAsync(string contactNo, string datetext) {
            this.CountBudgetoryQuoteAsync(contactNo, datetext, null);
        }
        
        /// <remarks/>
        public void CountBudgetoryQuoteAsync(string contactNo, string datetext, object userState) {
            if ((this.CountBudgetoryQuoteOperationCompleted == null)) {
                this.CountBudgetoryQuoteOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCountBudgetoryQuoteOperationCompleted);
            }
            this.InvokeAsync("CountBudgetoryQuote", new object[] {
                        contactNo,
                        datetext}, this.CountBudgetoryQuoteOperationCompleted, userState);
        }
        
        private void OnCountBudgetoryQuoteOperationCompleted(object arg) {
            if ((this.CountBudgetoryQuoteCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CountBudgetoryQuoteCompleted(this, new CountBudgetoryQuoteCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:CountRunningWorkorder", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="CountRunningWorkorder_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public int CountRunningWorkorder(string contactNo, string datetext) {
            object[] results = this.Invoke("CountRunningWorkorder", new object[] {
                        contactNo,
                        datetext});
            return ((int)(results[0]));
        }
        
        /// <remarks/>
        public void CountRunningWorkorderAsync(string contactNo, string datetext) {
            this.CountRunningWorkorderAsync(contactNo, datetext, null);
        }
        
        /// <remarks/>
        public void CountRunningWorkorderAsync(string contactNo, string datetext, object userState) {
            if ((this.CountRunningWorkorderOperationCompleted == null)) {
                this.CountRunningWorkorderOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCountRunningWorkorderOperationCompleted);
            }
            this.InvokeAsync("CountRunningWorkorder", new object[] {
                        contactNo,
                        datetext}, this.CountRunningWorkorderOperationCompleted, userState);
        }
        
        private void OnCountRunningWorkorderOperationCompleted(object arg) {
            if ((this.CountRunningWorkorderCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CountRunningWorkorderCompleted(this, new CountRunningWorkorderCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:CheckWorkOrder", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="CheckWorkOrder_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public bool CheckWorkOrder(string woNO) {
            object[] results = this.Invoke("CheckWorkOrder", new object[] {
                        woNO});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void CheckWorkOrderAsync(string woNO) {
            this.CheckWorkOrderAsync(woNO, null);
        }
        
        /// <remarks/>
        public void CheckWorkOrderAsync(string woNO, object userState) {
            if ((this.CheckWorkOrderOperationCompleted == null)) {
                this.CheckWorkOrderOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCheckWorkOrderOperationCompleted);
            }
            this.InvokeAsync("CheckWorkOrder", new object[] {
                        woNO}, this.CheckWorkOrderOperationCompleted, userState);
        }
        
        private void OnCheckWorkOrderOperationCompleted(object arg) {
            if ((this.CheckWorkOrderCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CheckWorkOrderCompleted(this, new CheckWorkOrderCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:CheckWorkOrderCP", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="CheckWorkOrderCP_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public bool CheckWorkOrderCP(string woNO, string customerNO) {
            object[] results = this.Invoke("CheckWorkOrderCP", new object[] {
                        woNO,
                        customerNO});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void CheckWorkOrderCPAsync(string woNO, string customerNO) {
            this.CheckWorkOrderCPAsync(woNO, customerNO, null);
        }
        
        /// <remarks/>
        public void CheckWorkOrderCPAsync(string woNO, string customerNO, object userState) {
            if ((this.CheckWorkOrderCPOperationCompleted == null)) {
                this.CheckWorkOrderCPOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCheckWorkOrderCPOperationCompleted);
            }
            this.InvokeAsync("CheckWorkOrderCP", new object[] {
                        woNO,
                        customerNO}, this.CheckWorkOrderCPOperationCompleted, userState);
        }
        
        private void OnCheckWorkOrderCPOperationCompleted(object arg) {
            if ((this.CheckWorkOrderCPCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CheckWorkOrderCPCompleted(this, new CheckWorkOrderCPCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:UpdateTmpCustomer", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="UpdateTmpCustomer_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void UpdateTmpCustomer(string customerCode, string name_of_Contact_Person_Account, string phone_No_Accounts_Finance, string phone_No, string name_of_Techanical_Person, string mobile_No_of_Technical_Person, string fax_No, string tAN_No, string p_A_N_No, string g_S_T_No, string gST_Customer_Type, string sEZ_Unit, string excise, string department) {
            this.Invoke("UpdateTmpCustomer", new object[] {
                        customerCode,
                        name_of_Contact_Person_Account,
                        phone_No_Accounts_Finance,
                        phone_No,
                        name_of_Techanical_Person,
                        mobile_No_of_Technical_Person,
                        fax_No,
                        tAN_No,
                        p_A_N_No,
                        g_S_T_No,
                        gST_Customer_Type,
                        sEZ_Unit,
                        excise,
                        department});
        }
        
        /// <remarks/>
        public void UpdateTmpCustomerAsync(string customerCode, string name_of_Contact_Person_Account, string phone_No_Accounts_Finance, string phone_No, string name_of_Techanical_Person, string mobile_No_of_Technical_Person, string fax_No, string tAN_No, string p_A_N_No, string g_S_T_No, string gST_Customer_Type, string sEZ_Unit, string excise, string department) {
            this.UpdateTmpCustomerAsync(customerCode, name_of_Contact_Person_Account, phone_No_Accounts_Finance, phone_No, name_of_Techanical_Person, mobile_No_of_Technical_Person, fax_No, tAN_No, p_A_N_No, g_S_T_No, gST_Customer_Type, sEZ_Unit, excise, department, null);
        }
        
        /// <remarks/>
        public void UpdateTmpCustomerAsync(string customerCode, string name_of_Contact_Person_Account, string phone_No_Accounts_Finance, string phone_No, string name_of_Techanical_Person, string mobile_No_of_Technical_Person, string fax_No, string tAN_No, string p_A_N_No, string g_S_T_No, string gST_Customer_Type, string sEZ_Unit, string excise, string department, object userState) {
            if ((this.UpdateTmpCustomerOperationCompleted == null)) {
                this.UpdateTmpCustomerOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateTmpCustomerOperationCompleted);
            }
            this.InvokeAsync("UpdateTmpCustomer", new object[] {
                        customerCode,
                        name_of_Contact_Person_Account,
                        phone_No_Accounts_Finance,
                        phone_No,
                        name_of_Techanical_Person,
                        mobile_No_of_Technical_Person,
                        fax_No,
                        tAN_No,
                        p_A_N_No,
                        g_S_T_No,
                        gST_Customer_Type,
                        sEZ_Unit,
                        excise,
                        department}, this.UpdateTmpCustomerOperationCompleted, userState);
        }
        
        private void OnUpdateTmpCustomerOperationCompleted(object arg) {
            if ((this.UpdateTmpCustomerCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateTmpCustomerCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:UpdateTmpCustomer2", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="UpdateTmpCustomer2_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void UpdateTmpCustomer2(string customerCode, string file1, string file2, string file3, string file4) {
            this.Invoke("UpdateTmpCustomer2", new object[] {
                        customerCode,
                        file1,
                        file2,
                        file3,
                        file4});
        }
        
        /// <remarks/>
        public void UpdateTmpCustomer2Async(string customerCode, string file1, string file2, string file3, string file4) {
            this.UpdateTmpCustomer2Async(customerCode, file1, file2, file3, file4, null);
        }
        
        /// <remarks/>
        public void UpdateTmpCustomer2Async(string customerCode, string file1, string file2, string file3, string file4, object userState) {
            if ((this.UpdateTmpCustomer2OperationCompleted == null)) {
                this.UpdateTmpCustomer2OperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateTmpCustomer2OperationCompleted);
            }
            this.InvokeAsync("UpdateTmpCustomer2", new object[] {
                        customerCode,
                        file1,
                        file2,
                        file3,
                        file4}, this.UpdateTmpCustomer2OperationCompleted, userState);
        }
        
        private void OnUpdateTmpCustomer2OperationCompleted(object arg) {
            if ((this.UpdateTmpCustomer2Completed != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateTmpCustomer2Completed(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:GetVisitorNo", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="GetVisitorNo_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void GetVisitorNo(string visitorn, string visitorType) {
            this.Invoke("GetVisitorNo", new object[] {
                        visitorn,
                        visitorType});
        }
        
        /// <remarks/>
        public void GetVisitorNoAsync(string visitorn, string visitorType) {
            this.GetVisitorNoAsync(visitorn, visitorType, null);
        }
        
        /// <remarks/>
        public void GetVisitorNoAsync(string visitorn, string visitorType, object userState) {
            if ((this.GetVisitorNoOperationCompleted == null)) {
                this.GetVisitorNoOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetVisitorNoOperationCompleted);
            }
            this.InvokeAsync("GetVisitorNo", new object[] {
                        visitorn,
                        visitorType}, this.GetVisitorNoOperationCompleted, userState);
        }
        
        private void OnGetVisitorNoOperationCompleted(object arg) {
            if ((this.GetVisitorNoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetVisitorNoCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:SetPicture", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="SetPicture_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void SetPicture(string no, string picture) {
            this.Invoke("SetPicture", new object[] {
                        no,
                        picture});
        }
        
        /// <remarks/>
        public void SetPictureAsync(string no, string picture) {
            this.SetPictureAsync(no, picture, null);
        }
        
        /// <remarks/>
        public void SetPictureAsync(string no, string picture, object userState) {
            if ((this.SetPictureOperationCompleted == null)) {
                this.SetPictureOperationCompleted = new System.Threading.SendOrPostCallback(this.OnSetPictureOperationCompleted);
            }
            this.InvokeAsync("SetPicture", new object[] {
                        no,
                        picture}, this.SetPictureOperationCompleted, userState);
        }
        
        private void OnSetPictureOperationCompleted(object arg) {
            if ((this.SetPictureCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.SetPictureCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:OutVisitor", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="OutVisitor_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void OutVisitor(string no) {
            this.Invoke("OutVisitor", new object[] {
                        no});
        }
        
        /// <remarks/>
        public void OutVisitorAsync(string no) {
            this.OutVisitorAsync(no, null);
        }
        
        /// <remarks/>
        public void OutVisitorAsync(string no, object userState) {
            if ((this.OutVisitorOperationCompleted == null)) {
                this.OutVisitorOperationCompleted = new System.Threading.SendOrPostCallback(this.OnOutVisitorOperationCompleted);
            }
            this.InvokeAsync("OutVisitor", new object[] {
                        no}, this.OutVisitorOperationCompleted, userState);
        }
        
        private void OnOutVisitorOperationCompleted(object arg) {
            if ((this.OutVisitorCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.OutVisitorCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:SetQRCode", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="SetQRCode_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void SetQRCode(string no, string picture) {
            this.Invoke("SetQRCode", new object[] {
                        no,
                        picture});
        }
        
        /// <remarks/>
        public void SetQRCodeAsync(string no, string picture) {
            this.SetQRCodeAsync(no, picture, null);
        }
        
        /// <remarks/>
        public void SetQRCodeAsync(string no, string picture, object userState) {
            if ((this.SetQRCodeOperationCompleted == null)) {
                this.SetQRCodeOperationCompleted = new System.Threading.SendOrPostCallback(this.OnSetQRCodeOperationCompleted);
            }
            this.InvokeAsync("SetQRCode", new object[] {
                        no,
                        picture}, this.SetQRCodeOperationCompleted, userState);
        }
        
        private void OnSetQRCodeOperationCompleted(object arg) {
            if ((this.SetQRCodeCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.SetQRCodeCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:INVisitor", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="INVisitor_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void INVisitor(string no) {
            this.Invoke("INVisitor", new object[] {
                        no});
        }
        
        /// <remarks/>
        public void INVisitorAsync(string no) {
            this.INVisitorAsync(no, null);
        }
        
        /// <remarks/>
        public void INVisitorAsync(string no, object userState) {
            if ((this.INVisitorOperationCompleted == null)) {
                this.INVisitorOperationCompleted = new System.Threading.SendOrPostCallback(this.OnINVisitorOperationCompleted);
            }
            this.InvokeAsync("INVisitor", new object[] {
                        no}, this.INVisitorOperationCompleted, userState);
        }
        
        private void OnINVisitorOperationCompleted(object arg) {
            if ((this.INVisitorCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.INVisitorCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:CheckEntryNo", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="CheckEntryNo_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public int CheckEntryNo() {
            object[] results = this.Invoke("CheckEntryNo", new object[0]);
            return ((int)(results[0]));
        }
        
        /// <remarks/>
        public void CheckEntryNoAsync() {
            this.CheckEntryNoAsync(null);
        }
        
        /// <remarks/>
        public void CheckEntryNoAsync(object userState) {
            if ((this.CheckEntryNoOperationCompleted == null)) {
                this.CheckEntryNoOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCheckEntryNoOperationCompleted);
            }
            this.InvokeAsync("CheckEntryNo", new object[0], this.CheckEntryNoOperationCompleted, userState);
        }
        
        private void OnCheckEntryNoOperationCompleted(object arg) {
            if ((this.CheckEntryNoCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CheckEntryNoCompleted(this, new CheckEntryNoCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:ModifyLogEntry", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="ModifyLogEntry_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void ModifyLogEntry(int entryno, decimal amount) {
            this.Invoke("ModifyLogEntry", new object[] {
                        entryno,
                        amount});
        }
        
        /// <remarks/>
        public void ModifyLogEntryAsync(int entryno, decimal amount) {
            this.ModifyLogEntryAsync(entryno, amount, null);
        }
        
        /// <remarks/>
        public void ModifyLogEntryAsync(int entryno, decimal amount, object userState) {
            if ((this.ModifyLogEntryOperationCompleted == null)) {
                this.ModifyLogEntryOperationCompleted = new System.Threading.SendOrPostCallback(this.OnModifyLogEntryOperationCompleted);
            }
            this.InvokeAsync("ModifyLogEntry", new object[] {
                        entryno,
                        amount}, this.ModifyLogEntryOperationCompleted, userState);
        }
        
        private void OnModifyLogEntryOperationCompleted(object arg) {
            if ((this.ModifyLogEntryCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ModifyLogEntryCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:ReportPDF", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="ReportPDF_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void ReportPDF(ref string exitString, string no) {
            object[] results = this.Invoke("ReportPDF", new object[] {
                        exitString,
                        no});
            exitString = ((string)(results[0]));
        }
        
        /// <remarks/>
        public void ReportPDFAsync(string exitString, string no) {
            this.ReportPDFAsync(exitString, no, null);
        }
        
        /// <remarks/>
        public void ReportPDFAsync(string exitString, string no, object userState) {
            if ((this.ReportPDFOperationCompleted == null)) {
                this.ReportPDFOperationCompleted = new System.Threading.SendOrPostCallback(this.OnReportPDFOperationCompleted);
            }
            this.InvokeAsync("ReportPDF", new object[] {
                        exitString,
                        no}, this.ReportPDFOperationCompleted, userState);
        }
        
        private void OnReportPDFOperationCompleted(object arg) {
            if ((this.ReportPDFCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ReportPDFCompleted(this, new ReportPDFCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust:VisitorSetType", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", ResponseElementName="VisitorSetType_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/Send_Mail_Tmpcust", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("return_value")]
        public string VisitorSetType(string visitorCode, string visitorType) {
            object[] results = this.Invoke("VisitorSetType", new object[] {
                        visitorCode,
                        visitorType});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void VisitorSetTypeAsync(string visitorCode, string visitorType) {
            this.VisitorSetTypeAsync(visitorCode, visitorType, null);
        }
        
        /// <remarks/>
        public void VisitorSetTypeAsync(string visitorCode, string visitorType, object userState) {
            if ((this.VisitorSetTypeOperationCompleted == null)) {
                this.VisitorSetTypeOperationCompleted = new System.Threading.SendOrPostCallback(this.OnVisitorSetTypeOperationCompleted);
            }
            this.InvokeAsync("VisitorSetType", new object[] {
                        visitorCode,
                        visitorType}, this.VisitorSetTypeOperationCompleted, userState);
        }
        
        private void OnVisitorSetTypeOperationCompleted(object arg) {
            if ((this.VisitorSetTypeCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.VisitorSetTypeCompleted(this, new VisitorSetTypeCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void SendEmailCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void GetLastCutomerCompletedEventHandler(object sender, GetLastCutomerCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetLastCutomerCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetLastCutomerCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void GetLastCutomerFeedbackNoCompletedEventHandler(object sender, GetLastCutomerFeedbackNoCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetLastCutomerFeedbackNoCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetLastCutomerFeedbackNoCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void SetForm35BooleanCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void CreateQRCodeInputFromnetCompletedEventHandler(object sender, CreateQRCodeInputFromnetCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CreateQRCodeInputFromnetCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CreateQRCodeInputFromnetCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void EmailFromCustomerFeedbackCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void EmailFromCustomerComplaintCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void CountBudgetoryQuoteCompletedEventHandler(object sender, CountBudgetoryQuoteCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CountBudgetoryQuoteCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CountBudgetoryQuoteCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public int Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((int)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void CountRunningWorkorderCompletedEventHandler(object sender, CountRunningWorkorderCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CountRunningWorkorderCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CountRunningWorkorderCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public int Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((int)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void CheckWorkOrderCompletedEventHandler(object sender, CheckWorkOrderCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CheckWorkOrderCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CheckWorkOrderCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void CheckWorkOrderCPCompletedEventHandler(object sender, CheckWorkOrderCPCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CheckWorkOrderCPCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CheckWorkOrderCPCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void UpdateTmpCustomerCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void UpdateTmpCustomer2CompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void GetVisitorNoCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void SetPictureCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void OutVisitorCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void SetQRCodeCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void INVisitorCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void CheckEntryNoCompletedEventHandler(object sender, CheckEntryNoCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CheckEntryNoCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CheckEntryNoCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public int Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((int)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void ModifyLogEntryCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void ReportPDFCompletedEventHandler(object sender, ReportPDFCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ReportPDFCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ReportPDFCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string exitString {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void VisitorSetTypeCompletedEventHandler(object sender, VisitorSetTypeCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class VisitorSetTypeCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal VisitorSetTypeCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591